{% extends "templates/page.njk" %}
{% from "packages/components/button/macro.njk" import button %}
{% from "macros/hrt-panel-green.njk" import panel %}
{% from "macros/hrt-without-action-summary-with-content.njk" import hrtWithoutActionSummaryWithContent %}

{% block pageContent %}
  {{ panel({
    title: greenPanelHeading,
    HTML: "<p class='nhsuk-u-font-size-24'>" + greenPanelHTML + "</p>"
  }) }}

  {% if not claim.emailAddress %}
    <h2 class="nhsuk-heading-m">{{ saveYourCertificateHeading }}</h2>
    <p>{{ saveYourCertificateParagraphOne }}</p>
    {{ button({
      text: saveYourCertificateButtonText,
      attributes: {
        id : "nhsuk-download-certificate-pdf"
      },
      href: contextPath + "/download-pdf"
    }) }}

    {{ button({
      text: printYourCertificateButtonText,
      classes: "nhsuk-button--secondary",
      attributes: {
        id : "nhsuk-print-certificate"
      }
    }) }}

    <p>{{ saveYourCertificateParagraphTwo }}</p>
  {% endif %}

  <h2 class="nhsuk-heading-m nhsuk-without-action-summary-heading">{{ summaryHeading }}</h2>
  {% if claim.emailAddress %}
    <p>{{emailCertificateInformation}} <span class="nhsuk-u-font-weight-bold">{{ claim.emailAddress }}</span>.</p>
  {% endif %}

  {{ hrtWithoutActionSummaryWithContent({
    listRows: summaryList,
    contentHTML: summaryContentHTML
  }) }}

  {% if claim.emailAddress %}
    <h2 class="nhsuk-heading-m">{{ saveYourCertificateHeading }}</h2>
    <p>{{ saveYourCertificateParagraphOne }}</p>
    {{ button({
      text: saveYourCertificateButtonText,
      attributes: {
        id : "nhsuk-download-certificate-pdf"
      },
      href: contextPath + "/download-pdf"
    }) }}

    {{ button({
      text: printYourCertificateButtonText,
      classes: "nhsuk-button--secondary",
      attributes: {
        id : "nhsuk-print-certificate"
      }
    }) }}

    <p>{{ saveYourCertificateParagraphTwoEmail }}</p> 
  {% endif %}

  <h2 class="nhsuk-heading-m">{{ useYourCertificateHeading }}</h2>
  <p>{{ useYourCertificateParagraphOne }}</p>
  <p>{{ useYourCertificateParagraphTwo }}</p>
  <p>{{ useYourCertificateParagraphThree }}</p>
  <p>{{ useYourCertificateParagraphFour }}</p>
  <p>{{ useYourCertificateParagraphFive }}</p>

  <h2 class="nhsuk-heading-m">{{ feedbackHeading }}</h2>
  <p><a href="https://online1.snapsurveys.com/jz3o3o" id="feedback-link">{{ feedbackLinkText }}</a>.</p>

  <h2 class="nhsuk-heading-m">{{ contactUsHeading }}</h2>
  <p>{{ contactUsParagraphOne|safe }}</p>

{% endblock %}